#pragma once
#include "Entity.h"
#define CS_SAVEPOINTWATER_CREATENAME L"CS_savepoint_water"
//水下保存点（可钓起）
class CS_SavePointWater :
    public ActionEntity
{
public:
    CS_SavePointWater();
    void Step() override;
    void SetState(int stateID, int lr) override;
    void SetState(std::wstring stateName, int lr) override;
    int stateID = 0;
};

std::shared_ptr<Entity> CreateCS_SavePointWater();